//var phoneNumber = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
var phoneNumber = /^(1[3-9])\d{9}$/;

apiready = function() {
	//防止键盘压缩页面，body要加绝对定位
	var Height = $('body').height();
	$(window).resize(function() {
	    $('body').height(Height);
	});
	//监听checkCode传回来的事件
	api.addEventListener({
	    name:'useTimeThis'
    },function(ret,err){
    	var dom = $api.byId("btn");
    	timeThis(dom);
    });

	var mobilephone = $api.getStorage('loginid');
	$('#phone').val(mobilephone);
	var system = api.systemType;
	setStyle();
};

function setStyle(){
	$api.removeCls($api.byId('login_l'), 'login_l_change');
	$api.css($api.byId('list1'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
	$api.css($api.byId('list2'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
}

var isLogin = true;
function login() {
	var loginid = $api.trim($api.val($api.byId('phone')));
	var passwd = $api.val($api.byId('passwd'));
	if (loginid.length <= 0) {
		alert('手机号码不能为空!');
		return;
	}
	if (passwd.length < 6) {
		alert('密码格式错误!');
		return;
	}
	if(isLogin){
		isLogin = false;
//		requestPermission(true,'phone-r', '应用需要您的授权IMEI信息才能登录').then(function(res){
//			if(res){
				api.ajax({
					url : userURL + '/v2/login',
					method : 'post',
					cache : false,
					timeout : 30,
					dataType : 'json',
					data : {
						values : {
							uniqueStr : getDeviceId(),
							userName : $api.getStorage('uCode'),
							password : passwd,
							phone : loginid,
							apkType : apkType,
							channelType : channelType,
							deviceName : api.uiMode.toUpperCase()
						}
					},
					returnAll : false
				}, function(ret, err) {
					if (ret) {
//						console.log(JSON.stringify(ret))
						if (ret.code == '200') {
							$api.setStorage('loginState', ret.sessionId);
							//设置登录状态
							$api.setStorage('loginid', loginid);
							//记录登录loginid
							$api.setStorage('first_state', 1);
							api.toast({
								msg : ret.msg,
								duration : 3000,
								global : true
							});
							isLogin=true;
							setTimeout(function() {
								api.execScript({
	                                script: 'getIndexDate("V3_HOME_HEAD_MENU", "", 0, "");'
                                });
								api.closeFrame();
							}, 500);
						} else if (ret.code != null && ret.code != '' && ret.code != undefined) {
							api.alert({
								msg : ret.msg
							});
							isLogin=true;
						}
					}else{
						isLogin=true;
					}
				});
//			}else {
//				isLogin = true;
//			}
//		});
	}
}

//找回密码1
function findPsw(){
	status = true;
	var html = '';
	var html_btn='';
	html += '<div class="list1" id="verify">';
		html += '<span>验证码：</span><input id="core" type="text" value=""/>';
		html += '<div class="vCode" id="vCode">';
			html += '<input display="true" type="button" id="btn" value="获取验证码" onclick="getCode()"/>';//,timeThis(this)
		html += '</div>';
	html += '</div>';
	$api.byId("list1").insertAdjacentHTML('afterend',html);//插入验证码
	$api.html($api.byId("pw"), "新&nbsp;&nbsp;密&nbsp;&nbsp;码：");
	$api.css($api.dom('.input_list'),'top:27%;');
	$('.list1').css('marginBottom','5%');
	html_btn += '<img src="../../image/pages/login/btn_reset_password.png" onclick="setPsw()" />';//找回按钮
	html_btn += '<img src="../../image/pages/login/close.png" onclick="backLogin()" />';//跳过按钮
	$api.html($api.byId("list_btn"), html_btn);
	
//	console.log($api.byId("phone").value)
	var phone_num = $api.byId("phone").value;
	if(phone_num != '' || phone_num != undefined || phone_num != null){
		phoneNumTest();
	}
}

function phoneNumTest(){
	var phone = $api.trim($api.val($api.byId('phone')));
	var phoneNumber = /^(1[3-9])\d{9}$/;
	if($api.byId("btn")){
		if (phoneNumber.test(phone)) {
			$api.removeAttr($api.byId('btn'), "disabled");
			$("#vCode").css('background-color', '#49b742');
			$("#btn").css('color', '#fff');
		}else{
			$api.attr($api.byId('btn'), "disabled", true);
			$("#vCode").css('background-color', '#ccc');
			$("#btn").css('color', '#000');
		}
	}
}

$("#phone").keyup(function() {
	phoneNumTest();
});

//获取验证码
function getCode() {
	var phone = $api.trim($api.val($api.byId('phone')));
	var phoneNumber = /^(1[3-9])\d{9}$/;
	if (!phoneNumber.test(phone)) {
		alert('请输入正确的手机号码!');
		return;
	}
	var WinHeight=$api.dom("body").clientHeight;
	api.openFrame({
	    name: 'checkCode',
	    url: './checkCode.html',
	    rect: {
		    x:0,
		    y:0,
		    w:api.winWidth,
		    h:WinHeight
	    },
		pageParam : {
			phone:phone,
			operatetype:1
		}
    });
}

//获取验证码倒计时
var wait = 60;
function timeThis(o) {//console.log("timeThis==="+o.value)
	var phone = $api.trim($api.val($api.byId('phone')));
	var phoneNumber = /^(1[3-9])\d{9}$/;
	if (!phoneNumber.test(phone)) {
		return;
	}
	if (wait == 0) {
		$("#vCode").css('background-color', '#49b742');
		$("#vCode").css('color', '#FFFFFF');
		o.removeAttribute("disabled");
		o.value = "获取验证码";
		wait = 60;
	} else {
		if (wait == 60) {
			$("#vCode").css('background-color', '#ccc');
			$("#btn").css('color', '#000');
		}
		o.setAttribute("disabled", true);
		o.value = "重新发送(" + wait + ")";
		wait--;
		setTimeout(function() {
			timeThis(o)
		}, 1000);
	}
}

//设置新密码
function setPsw(){
	var phoneNum = $api.trim($api.val($api.byId('phone')));
	var verify = $.trim($("#core").val());
	var passwd = $api.val($api.byId('passwd'));
	if (phoneNum.length <= 0) {
		alert('手机号码不能为空!');
		return;
	}
	if (passwd.length < 6) {
		alert('密码格式错误!');
		return;
	}
//	requestPermission(true,'phone-r', '应用需要您的授权IMEI信息才能修改密码').then(function(res){
//		if(res){
			api.ajax({
				url : domain + '/user/u/v2/findPassword',
				method : 'post',
				cache : false,
				timeout : 30,
				dataType : 'json',
				data : {
					values : {
						apkType : apkType,
						channelType : channelType,
						uniqueStr : getDeviceId(),
						userName : $api.getStorage('uCode'),
						phone : phoneNum,
						verify : verify,
						password : passwd,
						deviceName : api.uiMode.toUpperCase()
					}
				},
				returnAll : false
			},function(res,err){
		//		console.log(JSON.stringify(res));
				if(res){
					api.toast({
						msg : res.msg,
						duration : 2000,
						global : true
					});
					if(res.code == '200'){
						backLogin();
					}
				}
			});
//		}
//	});
}

function backLogin(){
	$api.addCls($api.byId('login_l'), 'login_l_change');
	api.sendEvent({
	    name:'closeCurWin'
    });
	window.setTimeout('api.closeFrame()',1000);
}